- current_turn ||= nil

%table.table.is-bordered.is-striped.game-table
  %thead
    %tr
      %th Name
      - 1.upto(10) do |i|
        %th= i
      %th Total Score
  %tbody
    - all_throws = game.ball_throws.to_a
    - game.players.each do |player|
      - scores = GameService.new(game).player_scores(player.id)
      %tr
        %td
          %strong= player.name
          - if player.winner
            = "🏆"
        - 1.upto(10) do |frame_no|
          - is_current = current_turn && current_turn[:player] == player && current_turn[:frame] == frame_no
          %td{class: is_current ? "current-frame" : ''}
            - throws = all_throws.select {|bt| bt.player_id == player.id && bt.frame == frame_no }
            = throws.map(&:pins).join(" | ")
            - if scores[frame_no]
              %sup= scores[frame_no]
        %td= scores.values.sum